/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";
.mat-dialog-container#modal-component {
    border: 3px solid #262626;
    border-radius: 11px;
    background-color: #ffffff;
    position: fixed;
    top: 0%;
    left: 10.5%;
    z-index: 1050;
    width: 99%;
    height: 100%;
    margin-left: -10%;
}
.mat-calendar-body-cell-content {
    position: inherit !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    box-sizing: border-box !important;
    width: 90% !important;
    height: 90% !important;
    line-height: 1 !important;
    border-width: 2px !important;
    border-style: solid !important;
    border-radius: 999px !important;
    font-size: 5.5vh !important;
    margin-left: 5px;
    margin-right: 5px;
}

.mat-calendar-body-cell {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    -webkit-text-stroke: 1px black
}
.mat-calendar-period-button {
    display: none;
    position: absolute;
}
.mat-calendar-period-button {
    display: none;
    position: absolute;
}
.mat-calendar-body-label {
    color: #cb9fb6;
}

.legend-label-text {
    white-space: initial !important;
}

.legend-labels {
    display: flex;
    flex-wrap: wrap;
}